package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.data.DataActuallyPaidConfigDTO;
import com.gic.enterprise.dto.data.DataMemberConsumeConfigDTO;

import java.util.List;

public interface DataConfigApiService {
    /**
     * 会员消费配置
     * @Title: configMemberConsumeConfig 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> configMemberConsume(DataMemberConsumeConfigDTO dto);

    ServiceResponse<DataMemberConsumeConfigDTO> getMemberConsumeConfigByEnterpriseId(Integer enterpriseId);

    /**
     * 新增
     * @Title: configActuallyPaid 
     * @Description:
     * @author guojuxing
     * @param dtoList 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> configActuallyPaid(List<DataActuallyPaidConfigDTO> dtoList);

    ServiceResponse<List<DataActuallyPaidConfigDTO>> listActuallyPaidConfig(Integer enterpriseId);

    /**
     * 新增商户的时候设置实付配置默认数据
     * @Title: initActuallyPaidData 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> initActuallyPaidData(Integer enterpriseId);

}
